---
apiVersion: apps/v1
items:
- apiVersion: apps/v1
  kind: ReplicaSet
  metadata:
    annotations:
      deployment.kubernetes.io/desired-replicas: "1"
      deployment.kubernetes.io/max-replicas: "2"
      deployment.kubernetes.io/revision: "1"
      kubestorageversionmigrators.operator.openshift.io/operator-pull-spec: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:10ba9f188dfb4e2a087bce84c8b0efb93313cd194aa5d4542d478c1154210cf7
      kubestorageversionmigrators.operator.openshift.io/pull-spec: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b268776e5b0b054bcac9ca4b57ce629c6d852d12792cf72d8c3adc2cb88037df
      operator.openshift.io/spec-hash: f38d9b62905eeaf51bb50b01085c3b2520eb88eaeacd877978f212d5d785a471
    creationTimestamp: "2022-03-08T10:38:50Z"
    generation: 1
    labels:
      app: migrator
      pod-template-hash: 85c499d985
    managedFields:
    - apiVersion: apps/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:deployment.kubernetes.io/desired-replicas: {}
            f:deployment.kubernetes.io/max-replicas: {}
            f:deployment.kubernetes.io/revision: {}
            f:kubestorageversionmigrators.operator.openshift.io/operator-pull-spec: {}
            f:kubestorageversionmigrators.operator.openshift.io/pull-spec: {}
            f:operator.openshift.io/spec-hash: {}
          f:labels:
            .: {}
            f:app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"3d079d88-d623-4e08-97e5-6bcdf18443c1"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:replicas: {}
          f:selector:
            f:matchLabels:
              .: {}
              f:app: {}
              f:pod-template-hash: {}
          f:template:
            f:metadata:
              f:labels:
                .: {}
                f:app: {}
                f:pod-template-hash: {}
            f:spec:
              f:containers:
                k:{"name":"migrator"}:
                  .: {}
                  f:command: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:resources:
                    .: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
              f:dnsPolicy: {}
              f:restartPolicy: {}
              f:schedulerName: {}
              f:securityContext: {}
              f:serviceAccount: {}
              f:serviceAccountName: {}
              f:terminationGracePeriodSeconds: {}
        f:status:
          f:availableReplicas: {}
          f:fullyLabeledReplicas: {}
          f:observedGeneration: {}
          f:readyReplicas: {}
          f:replicas: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:54Z"
    name: migrator-85c499d985
    namespace: openshift-kube-storage-version-migrator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: Deployment
      name: migrator
      uid: 3d079d88-d623-4e08-97e5-6bcdf18443c1
    resourceVersion: "20927"
    selfLink: /apis/apps/v1/namespaces/openshift-kube-storage-version-migrator/replicasets/migrator-85c499d985
    uid: 12395376-088e-4a6c-9ecc-3ef5767b89df
  spec:
    replicas: 1
    selector:
      matchLabels:
        app: migrator
        pod-template-hash: 85c499d985
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: migrator
          pod-template-hash: 85c499d985
      spec:
        containers:
        - command:
          - migrator
          - --alsologtostderr
          - --v=2
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b268776e5b0b054bcac9ca4b57ce629c6d852d12792cf72d8c3adc2cb88037df
          imagePullPolicy: IfNotPresent
          name: migrator
          resources:
            requests:
              cpu: 100m
              memory: 200Mi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: FallbackToLogsOnError
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: kube-storage-version-migrator-sa
        serviceAccountName: kube-storage-version-migrator-sa
        terminationGracePeriodSeconds: 30
  status:
    availableReplicas: 1
    fullyLabeledReplicas: 1
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
kind: ReplicaSetList
metadata:
  resourceVersion: "82897"
  selfLink: /apis/apps/v1/namespaces/openshift-kube-storage-version-migrator/replicasets
